Page MenuHomePhabricator

[EPIC] Get Hovercards to feature parity with Navigation Pop-ups (tracking) [AOI]
Closed, DeclinedPublic

Description

In order to fully replace the Navigation Pop-ups gadget, we need to get Hovercards to feature parity with it.

Below is the complete feature set of Navigation Popups. While feature parity is a general goal, some features are likely to be dropped

  • Mouseover on articles (including user pages):
    • Preview the first part of the article text when mousing over a link to an article
    • Preview a section of the article (links with fragment for an H#)
    • Preview old revisions (links with oldid query param)
    • Preview the first image on each article
    • Preview selected page information: wikicode size, number of links, number of images, number of categories and time since last edit (age)
    • Identifies links as redirects, stubs and/or disambiguation pages
    • Action menu with one click access to
      • edit page
      • revision history / rss feed
      • most recent edit
      • edits by most recent contributor
      • changes since my edit,
      • move page
      • what links here
      • related changes
      • null edit or purge
      • wiki search, web search page title
      • action=render and action=raw
      • watch or unwatch
      • protect or unprotect
      • talk page
      • edit talk page
      • start new topic in talk page
  • Mouseover on image links:
    • Preview images
    • Preview file descriptions
    • Preview file links (usage on articles)
    • Tells you if the image is on Commons
  • Mouseover on user links:
    • One-click access to user page, user space, user talk, edit user talk, new section in user talk, e-mail user, contributions and contributions tree, user log, (for administrators) delete user, (for administrators) block user, edit counter (User Analysis Tool), block log
    • info on editcount, first edit, last edit, usergroups and indicator for blocked user
  • Mouseover on footnotes:
    • Preview contents of footnotes
  • Mouseover on categories
    • Preview category page
    • list first member pages of category
    • preview of category tree links
  • Preview diffs and access both revisions, in watchlist, history and related changes
  • Preview selected wikilinks when editing (use the mouse to select one wikilink in the editors textarea)
  • One-click revert of vandalism from history browser (see image)
  • Shortcut keys for actions (optional)
  • Fix links to bypass redirects and disambiguation pages (optional)
  • Should work on all Wikimedia wikis
  • popups for links in popups (including revisions/diffs in the revision history popup)
  • multiple skins and layout options
  • drag popups

Event Timeline

kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a subscriber: kaldari.

Sounds hard. Hovercards are meant for readers, Navigation Popups are for editors.

Sounds hard. Hovercards are meant for readers, Navigation Popups are for editors.

Hovercards was built from the start with extensibility in mind, so that it could potentially be transformed into a dual-purpose extension, with a simple mode for readers and an advanced mode for editors. The advanced mode should be as close to feature-parity as possible, with the very complex (and highly configurable) Navpopups. It will definitely be hard, but should be achievable, and will hopefully result in a more scalable, translatable, and stable tool for all.

Hovercards are meant for readers, Navigation Popups are for editors.

For this reason, I think we will have to explore a way to selectively opt-in to the advanced movde. It's actually a principle we might want to apply to more of our navigation. How to do that while preserving the path from reading-->advanced editor is going to take considerable thought.

For this reason, I think we will have to explore a way to selectively opt-in to the advanced movde.

There is already a preference to switch to navpopups (accessed via the cog-icon, shown on all hovercards), if the logged-in editor already has that gadget enabled. I was hoping that it would show to all editors, in order to promote this gadget (which isn't known of, by everyone).
You can see a screenshot of an older design, at https://www.mediawiki.org/wiki/Beta_Features/Hovercards#Enable.2FDisable
(The feature isn't working at the moment though; now filed as T109912: Advanced mode selector for Hovercards is no longer showing)

This sub-feature was mirrored from the Reference Tooltips gadget (default-enabled at many wikis, e.g. Enwiki) - see screenshots of that gadget's options menu, at https://www.mediawiki.org/wiki/Reference_Tooltips and test at Enwiki.

@Prtksxna, @Quiddity, @Ricordisamoa: Could someone more familiar with Navigation Pop-ups add blocking tasks to this card? (Or describe what the tasks would be?)

kaldari renamed this task from Tracking: Get Hovercards to feature parity with Navigation Pop-ups to [AOI] Tracking: Get Hovercards to feature parity with Navigation Pop-ups.Aug 25 2015, 7:31 AM
kaldari moved this task from Blocked to Backlog on the Community-Tech board.

The style changes proposed by @Prtksxna have now been implemented for Navigation pop-ups:
https://en.wikipedia.org/w/index.php?title=MediaWiki%3AGadget-navpop.css&type=revision&diff=680114924&oldid=651663158
...which brings the styles closer to parity.

"a big useless image and no tools for contributors" via https://it.wikipedia.org/wiki/?diff=75057071

@Prtksxna, @Quiddity, @Ricordisamoa: Could someone more familiar with Navigation Pop-ups add blocking tasks to this card? (Or describe what the tasks would be?)

Sorry for the delay, my phab-mail is a deluge.

The tasks for feature parity with navpopups would be an extensive list. It is a hugely powerful tool, and has many niche uses, which can be optionally turned on. Briefly:

Some of the latter, could potentially be dropped, but that would need investigation and discussion. Quick details can be found by searching user namespace, e.g. I know the popupFixDabs option is popular and well-used at Enwiki.
Ideally, the names of the configuration variables, would remain the same, so that no action is required by editors to have the same setup in Hovercards' advanced-mode (if that method of configuration is kept).

Jdlrobson triaged this task as Medium priority.Sep 23 2015, 6:57 PM
Jdlrobson added a subscriber: Jdlrobson.
DannyH renamed this task from [AOI] Tracking: Get Hovercards to feature parity with Navigation Pop-ups to Tracking: Get Hovercards to feature parity with Navigation Pop-ups [AOI].Oct 28 2015, 7:04 PM
DannyH renamed this task from Tracking: Get Hovercards to feature parity with Navigation Pop-ups [AOI] to Get Hovercards to feature parity with Navigation Pop-ups (tracking) [AOI].Oct 28 2015, 7:43 PM
ovasileva lowered the priority of this task from Medium to Low.Jun 21 2017, 1:48 PM
Jdlrobson renamed this task from Get Hovercards to feature parity with Navigation Pop-ups (tracking) [AOI] to [EPIC] Get Hovercards to feature parity with Navigation Pop-ups (tracking) [AOI].Feb 22 2018, 10:32 PM
Jdlrobson moved this task from Incoming to Product Owner Backlog on the Readers-Web-Backlog board.
TheDJ updated the task description. (Show Details)

Is any work planned to get an advanced mode built into Hovercards? Specifically the Action menu mentioned in the ticket description.

Can this card be declined? In the end I think we made a conscious decision not to reach feature parity with the gadget :)

As the original author of the bug (from 4 years ago), I would say yes.

This is currently not planned but we may reopen if that changes.